## ros-galactic-logging-demo 0.14.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(logging_demo)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(rcutils REQUIRED)
find_package(std_msgs REQUIRED)

find_package(rosidl_default_generators REQUIRED)
rosidl_generate_interfaces(${PROJECT_NAME}
  "srv/ConfigLogger.srv"
)

include_directories(include)

add_library(logger_config_component SHARED
  src/logger_config_component.cpp)
target_compile_definitions(logger_config_component
  PRIVATE "LOGGING_DEMO_BUILDING_DLL")
ament_target_dependencies(logger_config_component
  "rclcpp"
  "rclcpp_components")
rosidl_target_interfaces(logger_config_component
  ${PROJECT_NAME} "rosidl_typesupport_cpp")
rclcpp_components_register_nodes(logger_config_component "logging_demo::LoggerConfig")

add_library(logger_usage_component SHARED
  src/logger_usage_component.cpp)
target_compile_definitions(logger_usage_component
  PRIVATE "LOGGING_DEMO_BUILDING_DLL")
ament_target_dependencies(logger_usage_component
  "rclcpp"
  "rclcpp_components"
  "std_msgs")
rclcpp_components_register_nodes(logger_usage_component "logging_demo::LoggerUsage")

add_executable(logging_demo_main
  src/logging_demo_main.cpp)
target_link_libraries(logging_demo_main
  logger_config_component
  logger_usage_component)
ament_target_dependencies(logging_demo_main
  "rclcpp")

install(TARGETS
  logger_config_component
  logger_usage_component
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin)

install(TARGETS
  logging_demo_main
  DESTINATION lib/${PROJECT_NAME})

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_pytest REQUIRED)
  find_package(launch_testing_ament_cmake REQUIRED)
  find_package(rmw_implementation_cmake REQUIRED)

  set(generated_python_files)
  macro(tests)
    set(LOGGING_DEMO_MAIN_EXECUTABLE $<TARGET_FILE:logging_demo_main>)
    set(
      EXPECTED_OUTPUT_LOGGING_DEMO_MAIN_DEFAULT_SEVERITY
      "${CMAKE_CURRENT_SOURCE_DIR}/test/logging_demo_main_default_severity")
    set(
      EXPECTED_OUTPUT_LOGGING_DEMO_MAIN_DEBUG_SEVERITY
      "${CMAKE_CURRENT_SOURCE_DIR}/test/logging_demo_main_debug_severity")

    configure_file(
      test/test_logging_demo.py.in
      test_logging_demo${target_suffix}.py.genexp
      @ONLY
    )
    file(GENERATE
      OUTPUT "${CMAKE_CURRENT_BINARY_DIR}/test_logging_demo${target_suffix}_$<CONFIG>.py"
      INPUT "${CMAKE_CURRENT_BINARY_DIR}/test_logging_demo${target_suffix}.py.genexp"
    )
    add_launch_test(
      "${CMAKE_CURRENT_BINARY_DIR}/test_logging_demo${target_suffix}_$<CONFIG>.py"
      TARGET test_logging_demo${target_suffix}
      ENV RMW_IMPLEMENTATION=${rmw_implementation}
      APPEND_LIBRARY_DIRS "${append_library_dirs}"
      TIMEOUT 30
    )
    list(
      APPEND generated_python_files
      "${CMAKE_CURRENT_BINARY_DIR}/test_logging_demo${target_suffix}_$<CONFIG>.py")
  endmacro()

  set(append_library_dirs "${CMAKE_CURRENT_BINARY_DIR}")
  if(WIN32)
    set(append_library_dirs "${append_library_dirs}/$<CONFIG>")
  endif()

  call_for_each_rmw_implementation(tests)

  find_package(ament_cmake_flake8 REQUIRED)
  ament_flake8(
    TESTNAME "flake8_generated_launch"
    # the generated code might contain longer lines if from a template
    MAX_LINE_LENGTH 999
    ${generated_python_files})
endif()

ament_package()

=== debian/changelog ===
ros-galactic-logging-demo (0.14.4-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 06 Dec 2022 08:00:00 -0000

ros-galactic-logging-demo (0.14.3-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 10 May 2021 07:00:00 -0000

ros-galactic-logging-demo (0.14.2-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 26 Apr 2021 07:00:00 -0000

ros-galactic-logging-demo (0.14.1-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 19 Apr 2021 07:00:00 -0000

ros-galactic-logging-demo (0.14.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Tue, 06 Apr 2021 07:00:00 -0000

ros-galactic-logging-demo (0.13.0-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 25 Mar 2021 07:00:00 -0000

ros-galactic-logging-demo (0.12.1-1focal) focal; urgency=high



 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 18 Mar 2021 07:00:00 -0000

ros-galactic-logging-demo (0.12.0-1focal) focal; urgency=high

  * Update logging macros (#476 <https://github.com/ros2/demos/issues/476>)
  * Contributors: Audrow Nash

 -- Mabel Zhang <mabel@openrobotics.org>  Mon, 25 Jan 2021 08:00:00 -0000

ros-galactic-logging-demo (0.11.0-1focal) focal; urgency=high

  * Update the package.xml files with the latest Open Robotics maintainers (#466 <https://github.com/ros2/demos/issues/466>)
  * Contributors: Michael Jeronimo

 -- Mabel Zhang <mabel@openrobotics.org>  Thu, 10 Dec 2020 08:00:00 -0000

ros-galactic-logging-demo (0.10.1-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Mon, 21 Sep 2020 07:00:00 -0000

ros-galactic-logging-demo (0.10.0-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Wed, 17 Jun 2020 07:00:00 -0000

ros-galactic-logging-demo (0.9.3-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Mon, 01 Jun 2020 07:00:00 -0000

ros-galactic-logging-demo (0.9.2-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Tue, 26 May 2020 07:00:00 -0000

ros-galactic-logging-demo (0.9.1-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Tue, 12 May 2020 07:00:00 -0000

ros-galactic-logging-demo (0.9.0-1focal) focal; urgency=high

  * Set logging format in tests to avoid drift when defaults change. (#420 <https://github.com/ros2/demos/issues/420>)
  * Contributors: Steven! Ragnarök

 -- Scott K Logan <scott@openrobotics.org>  Thu, 30 Apr 2020 07:00:00 -0000

ros-galactic-logging-demo (0.8.4-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Tue, 19 Nov 2019 08:00:00 -0000

ros-galactic-logging-demo (0.8.3-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Mon, 11 Nov 2019 08:00:00 -0000

ros-galactic-logging-demo (0.8.2-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Fri, 08 Nov 2019 08:00:00 -0000

ros-galactic-logging-demo (0.8.1-1focal) focal; urgency=high

  * Replace ready_fn with ReadyToTest action (#404 <https://github.com/ros2/demos/issues/404>)
  * Fix logging demo test (#400 <https://github.com/ros2/demos/issues/400>)
  * Contributors: Michel Hidalgo, Peter Baughman

 -- Scott K Logan <scott@openrobotics.org>  Wed, 23 Oct 2019 07:00:00 -0000

ros-galactic-logging-demo (0.8.0-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Thu, 26 Sep 2019 07:00:00 -0000

ros-galactic-logging-demo (0.7.6-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Thu, 30 May 2019 07:00:00 -0000

ros-galactic-logging-demo (0.7.5-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Wed, 29 May 2019 07:00:00 -0000

ros-galactic-logging-demo (0.7.4-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Mon, 20 May 2019 07:00:00 -0000

ros-galactic-logging-demo (0.7.3-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Fri, 10 May 2019 07:00:00 -0000

ros-galactic-logging-demo (0.7.2-1focal) focal; urgency=high

  * changes to avoid deprecated API's (#332 <https://github.com/ros2/demos/issues/332>)
  * Corrected publish calls with shared_ptr signature (#327 <https://github.com/ros2/demos/issues/327>)
  * Migrate launch tests to new launch_testing features & API (#318 <https://github.com/ros2/demos/issues/318>)
  * Contributors: Michel Hidalgo, William Woodall, ivanpauno

 -- Scott K Logan <scott@openrobotics.org>  Wed, 08 May 2019 07:00:00 -0000

ros-galactic-logging-demo (0.7.1-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Fri, 26 Apr 2019 07:00:00 -0000

ros-galactic-logging-demo (0.7.0-1focal) focal; urgency=high

  * Updated for new rclcpp_components package. (#319 <https://github.com/ros2/demos/issues/319>)
  * Added launch along with launch_testing as test dependencies. (#313 <https://github.com/ros2/demos/issues/313>)
  * Dropped legacy launch API usage. (#311 <https://github.com/ros2/demos/issues/311>)
  * Contributors: Michael Carroll, Michel Hidalgo

 -- Scott K Logan <scott@openrobotics.org>  Sun, 14 Apr 2019 07:00:00 -0000

ros-galactic-logging-demo (0.6.2-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Tue, 15 Jan 2019 08:00:00 -0000

ros-galactic-logging-demo (0.6.1-1focal) focal; urgency=high



 -- Scott K Logan <scott@openrobotics.org>  Thu, 13 Dec 2018 08:00:00 -0000

ros-galactic-logging-demo (0.6.0-1focal) focal; urgency=high

  * Updated package maintainer for logging_demo and topic_monitor (#285 <https://github.com/ros2/demos/issues/285>)
  * Updated to use new error handling API from rcutils (#284 <https://github.com/ros2/demos/issues/284>)
  * Added semicolons to all RCLCPP and RCUTILS macros. (#278 <https://github.com/ros2/demos/issues/278>)
  * Updated to use add_compile_options instead of setting only cxx flags
  * Contributors: Chris Lalancette, Mikael Arguedas, Scott K Logan, William Woodall



=== debian/control ===
Source: ros-galactic-logging-demo
Section: misc
Priority: optional
Maintainer: Mabel Zhang <mabel@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-galactic-ament-cmake, ros-galactic-ament-cmake-pytest <!nocheck>, ros-galactic-ament-lint-auto <!nocheck>, ros-galactic-ament-lint-common <!nocheck>, ros-galactic-launch <!nocheck>, ros-galactic-launch-testing <!nocheck>, ros-galactic-launch-testing-ament-cmake <!nocheck>, ros-galactic-launch-testing-ros <!nocheck>, ros-galactic-rclcpp, ros-galactic-rclcpp-components, ros-galactic-rcutils, ros-galactic-rmw-implementation-cmake <!nocheck>, ros-galactic-rosidl-cmake, ros-galactic-rosidl-default-generators, ros-galactic-std-msgs, ros-galactic-ros-workspace, ros-galactic-rosidl-typesupport-fastrtps-c, ros-galactic-rosidl-typesupport-fastrtps-cpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-galactic-logging-demo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-galactic-rclcpp, ros-galactic-rclcpp-components, ros-galactic-rcutils, ros-galactic-rosidl-default-runtime, ros-galactic-std-msgs, ros-galactic-ros-workspace
Description: Examples for using and configuring loggers.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/galactic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/galactic" \
		-DAMENT_PREFIX_PATH="/opt/ros/galactic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/galactic" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-galactic-logging-demo//opt/ros/galactic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/galactic/setup.sh" ]; then . "/opt/ros/galactic/setup.sh"; fi && \
	dh_auto_install
